An RFP with its turns
curl --request GET \
--url https://api.semicola.com/api/v2/storefront/rfps/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.semicola.com/api/v2/storefront/rfps/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.semicola.com/api/v2/storefront/rfps/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"rfp": {
"id": "<string>",
"storefrontId": 123,
"origin": "adcp",
"purpose": "live",
"buyerCustomerId": 4503599627370495,
"buyerLabel": "<string>",
"advertiserLabel": "<string>",
"brandDomain": "<string>",
"brief": "<string>",
"request": {
"brief": "<string>",
"budget": "<string>",
"currency": "<string>",
"flight": {
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z"
},
"channels": [
"display"
],
"formatKinds": [
"image"
],
"countries": [
"<string>"
],
"constraints": [
"<string>"
],
"productCount": 123,
"planRoles": [
"<string>"
],
"measurementRequirements": [
"<string>"
],
"instruction": "<string>"
},
"strategy": {},
"endorsed": true,
"endorsementCommentary": "<string>",
"commercialResult": "pending",
"grade": "A",
"ledBy": "agent",
"bookedAmount": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"turns": [
{
"id": "<string>",
"rfpId": "<string>",
"parentTurnId": "<string>",
"index": 4503599627370495,
"request": {
"brief": "<string>",
"budget": "<string>",
"currency": "<string>",
"flight": {
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z"
},
"channels": [
"display"
],
"formatKinds": [
"image"
],
"countries": [
"<string>"
],
"constraints": [
"<string>"
],
"productCount": 123,
"planRoles": [
"<string>"
],
"measurementRequirements": [
"<string>"
],
"instruction": "<string>"
},
"state": "queued",
"response": {},
"decision": {
"kind": "pitch",
"summary": "<string>",
"limitations": [
{
"field": "<string>",
"requested": "<string>",
"supported": "<string>",
"note": "<string>"
}
],
"clarifyingQuestions": [
"<string>"
]
},
"failureReason": "<string>",
"composer": {
"model": "<string>",
"recipeVersion": "<string>"
},
"iuCharged": "<string>",
"leaseGeneration": 4503599627370495,
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Demand Inbox
An RFP with its turns
GET
/
api
/
v2
/
storefront
/
rfps
/
{id}
An RFP with its turns
